Cancel application
Cancel application
Merchant can cancel application (for example, if the products requested during application process are no longer available and loan disbursementt can not be completed). Application request session-id should be specified in the request path. merchantKey should be passed in the request body.
Request Endpoint
https://test-api.tbcbank.ge/v1/online-installments/applications/{{sessionId}}/cancelhttps://api.tbcbank.ge/v1/online-installments/applications/{{sessionId}}/cancelAuthorization
| Authorization Type | Description |
|---|---|
| Bearer Token | access-token should be added to Authorization header |
Request Parameters
Path Parameters
| Parameter | Type | Description |
|---|---|---|
| sessionId | guid | unique session Id of initiated application |
Body Parameters
| Parameter | Type | Description |
|---|---|---|
| merchantKey (required) | string | merchant unique identifier in online installments module |
Request Sample
curl --location --request POST 'https://test-api.tbcbank.ge/v1/online-installments/applications/279838cb-f41f-41c2-b9c9-151407acbbbf/cancel' \
--header 'Authorization: Bearer BT7oxEIvzCgL0XUJVoGYHGNnrDpP' \
--header 'Content-Type: application/json' \
--data-raw '{
"merchantKey": "MerchantIntegrationTesting"
}'Response Parameters
In case of successful response, 200 OK will be returned. the body will contain "id": null which indicates that no errors occurred.
Response Sample
{
"id": null
}{
"type": "https://developers.tbcbank.ge/docs/error-type-401",
"title": "Active installment with sessionId not exists",
"status": 401,
"detail": "Active installment with sessionId not exists",
"systemCode": "System code for problem is Online-Installment-Merchant-API.401.001",
"code": "001"
}Error Response
In case of error, standard response in problem json will be returned.
Details can be found at Error Code Description.
Updated about 11 hours ago
